SDL_RectEmpty(3)

NAME
SDL_RectEmpty - Determine whether a rectangle has no area.

SYNOPSIS
#include <SDL3/SDL_rect.h>

SDL_FORCE_INLINE bool SDL_RectEmpty(const SDL_Rect *r);

DESCRIPTION
A rectangle is considered "empty" for this function if r is NULL, or if r's width and/or height are <= 0.

Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

r   the rectangle to test.

RETURN VALUE
Returns true if the rectangle is "empty", false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.